com.microfocus.zos.model

## Interface IJobPart

-     public interface IJobPart

  Interface for a z/OS Job part
  Author:
    Ralf Pakosch

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.InputStream` | `getContents(org.eclipse.core.runtime.IProgressMonitor pMon)` Deprecated. Use `getOutput(IProgressMonitor)` instead.
    `java.lang.String` | `getDsid()` Gets the data set ID.
    `java.lang.String` | `getDsn()` Gets the job part DSN.
    `IJob` | `getJob()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getOutput(org.eclipse.core.runtime.IProgressMonitor pMon)` Gets the job output.
    `java.lang.String` | `getProc()` Gets the procedure name.
    `int` | `getRecordCount()` Gets the record count.
    `java.lang.String` | `getStep()` Gets the DD step name.
    `void` | `setDsid(java.lang.String pDsid)` Sets the data set ID.
    `void` | `setDsn(java.lang.String pDsn)` Sets the job part DSN.
    `void` | `setName(java.lang.String pName)` Sets the name of the job part
    `void` | `setProc(java.lang.String pProc)` Set the procedure name.
    `void` | `setRecordCount(int pReccnt)` Sets the record count.
    `void` | `setStep(java.lang.String pStep)` Sets the DD step name.

- - ### Method Detail

    - #### getJob

          IJob getJob()

      Returns:
        the corresponding job

    - #### getName

          java.lang.String getName()

      Returns:
        the name of the job part

    - #### setName

          void setName(java.lang.String pName)

      Sets the name of the job part
      Parameters:
        `pName` - the name of the job part

    - #### getStep

          java.lang.String getStep()

      Gets the DD step name.
      Returns:
        the step name

    - #### setStep

          void setStep(java.lang.String pStep)

      Sets the DD step name.
      Parameters:
        `pStep` - the step name to set

    - #### getProc

          java.lang.String getProc()

      Gets the procedure name.
      Returns:
        the procedure name

    - #### setProc

          void setProc(java.lang.String pProc)

      Set the procedure name.
      Parameters:
        `pProc` - the procedure name to set

    - #### getDsid

          java.lang.String getDsid()

      Gets the data set ID.
      Returns:
        the data set ID

    - #### setDsid

          void setDsid(java.lang.String pDsid)

      Sets the data set ID.
      Parameters:
        `pDsid` - the data set ID to set

    - #### getDsn

          java.lang.String getDsn()

      Gets the job part DSN.
      Returns:
        the DSN

    - #### setDsn

          void setDsn(java.lang.String pDsn)

      Sets the job part DSN.
      Parameters:
        `pDsn` - the DSN to set

    - #### getRecordCount

          int getRecordCount()

      Gets the record count.
      Returns:
        the record count

    - #### setRecordCount

          void setRecordCount(int pReccnt)

      Sets the record count.
      Parameters:
        `pReccnt` - the record count to set

    - #### getContents

          @Deprecated
          java.io.InputStream getContents(org.eclipse.core.runtime.IProgressMonitor pMon)
                                                throws java.lang.Exception

      Deprecated. Use `getOutput(IProgressMonitor)` instead.
      Gets the job output.
      Parameters:
        `pMon` - progress monitor
      Returns:
        the job output
      Throws:
        `java.lang.Exception` - unexpected exception

    - #### getOutput

          java.lang.String getOutput(org.eclipse.core.runtime.IProgressMonitor pMon)
                              throws java.io.IOException

      Gets the job output.
      Parameters:
        `pMon` - progress monitor
      Returns:
        the job output
      Throws:
        `java.io.IOException` - unexpected exception

Copyright © 2015 Micro Focus GmbH. All rights reserved.